Bug 798041 - liveusb-creator should not allow attempt at more than 4GiB persistent overlay on FAT
Summary: liveusb-creator should not allow attempt at more than 4GiB persistent overlay...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-27 21:48 UTC by Eric Blake
Modified: 2016-09-20 02:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-25 22:00:42 UTC
Type: ---


Attachments (Terms of Use)
log of failure (786 bytes, text/plain)
2012-02-27 21:49 UTC, Eric Blake
no flags Details

Description Eric Blake 2012-02-27 21:48:01 UTC
Description of problem:
I have an 8G USB memory stick, but if I try to set the persistent overlay size too large in liveusb-creator (anything where the sum of the installed live image + my overlay > 4GiB), the creation fails.  Sounds like someone left in a stupid 32-bit limitation and use a full 64-bit off_t.  The worst part of it all is that it took more than an hour before I actually got the failure; even failing up front due to overflow would be better than making me waste that much time waiting to find out my request was larger than the software was prepared to handle.

Version-Release number of selected component (if applicable):
liveusb-creator-3.11.6-1.fc16.noarch

How reproducible:
100%

Steps to Reproduce:
1. open liveusb-creator, and point it to an iso image (I used F17 alpha for x86_64), as well as an 8GB USB stick
2. slide the persistent storage selection to maximum (in my case, it said I could go as large as 5291 MB)
3. hit 'Create Live USB'
  
Actual results:

Extracting live image to USB device...
Creating 5291MB persistent overlay
There was a problem executing the following command: `dd if=/dev/zero of="/media/F17ALPHA_64/LiveOS/overlay-LIVE-C4AB-6058" count=5291 bs=1M`
A more detailed error log has been written to '/tmp/liveusb-creator.log'
LiveUSB creation failed!
There was a problem executing the following command: `dd if=/dev/zero of="/media/F17ALPHA_64/LiveOS/overlay-LIVE-C4AB-6058" count=5291 bs=1M`
A more detailed error log has been written to '/tmp/liveusb-creator.log'

Expected results:
success

Additional info:

Comment 1 Eric Blake 2012-02-27 21:49:16 UTC
Created attachment 566150 [details]
log of failure

Note that the embedded dd command mentioned in the log failed at exactly 4294967295 bytes, which is quite indicative of a 32-bit size limitation.

Comment 2 Samuel Sieb 2012-04-19 15:25:28 UTC
If the drive is formatted as FAT, then that's a filesystem limitation.

Comment 3 Eric Blake 2012-04-19 15:39:40 UTC
Perhaps so, but then why doesn't liveusb-creator warn about that situation up front instead of wasting minutes of time only to fail at the end?

Comment 4 Fedora End Of Life 2013-01-16 14:57:23 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Eric Blake 2013-01-16 15:35:31 UTC
Reassigning to F18, as I still think that liveusb-creator should do up-front prevention of attempts to set a persistent overlay larger than FAT can handle, rather than churning away for an hour only to fail in the end.

Comment 6 Samuel Sieb 2013-01-17 05:57:31 UTC
It doesn't allow it any more.  I've accidently run into it before, usually trying to make a 2GB overlay.  This is the result:

# livecd-iso-to-disk --overlay-size-mb 6000 Fedora-17-i386-DVD.iso /dev/sdb1

Can't have an overlay of 2048MB or greater on VFAT

Comment 8 Luke Macken 2013-11-25 22:00:42 UTC
This should be fixed in the latest version of the liveusb-creator. Please reopen this bug if you still hit this problem, thanks!


Note You need to log in before you can comment on or make changes to this bug.